<?php
$lang->mr->devopsEvents = array();

$lang->mr->devopsEvents['storylinked'] = new stdclass();
$lang->mr->devopsEvents['storylinked']->name  = '關聯到合併請求';
$lang->mr->devopsEvents['storylinked']->title = '關聯到合併請求';
$lang->mr->devopsEvents['storylinked']->link  = helper::createLink('mr', 'view', 'mrID=%s');
$lang->mr->devopsEvents['storylinked']->color = 'special';

$lang->mr->devopsEvents['storyunlinked'] = new stdclass();
$lang->mr->devopsEvents['storyunlinked']->name  = '取消關聯合併請求';
$lang->mr->devopsEvents['storyunlinked']->title = '取消關聯合併請求';
$lang->mr->devopsEvents['storyunlinked']->link  = helper::createLink('mr', 'view', 'mrID=%s');
$lang->mr->devopsEvents['storyunlinked']->color = 'special';

$lang->mr->devopsEvents['buglinked'] = new stdclass();
$lang->mr->devopsEvents['buglinked']->name  = '關聯到合併請求';
$lang->mr->devopsEvents['buglinked']->title = '關聯到合併請求';
$lang->mr->devopsEvents['buglinked']->link  = helper::createLink('mr', 'view', 'mrID=%s');
$lang->mr->devopsEvents['buglinked']->color = 'special';

$lang->mr->devopsEvents['bugunlinked'] = new stdclass();
$lang->mr->devopsEvents['bugunlinked']->name  = '取消關聯合併請求';
$lang->mr->devopsEvents['bugunlinked']->title = '取消關聯合併請求';
$lang->mr->devopsEvents['bugunlinked']->link  = helper::createLink('mr', 'view', 'mrID=%s');
$lang->mr->devopsEvents['bugunlinked']->color = 'special';

$lang->mr->devopsEvents['tasklinked'] = new stdclass();
$lang->mr->devopsEvents['tasklinked']->name  = '關聯到合併請求';
$lang->mr->devopsEvents['tasklinked']->title = '關聯到合併請求';
$lang->mr->devopsEvents['tasklinked']->link  = helper::createLink('mr', 'view', 'mrID=%s');
$lang->mr->devopsEvents['tasklinked']->color = 'special';

$lang->mr->devopsEvents['taskunlinked'] = new stdclass();
$lang->mr->devopsEvents['taskunlinked']->name  = '取消關聯合併請求';
$lang->mr->devopsEvents['taskunlinked']->title = '取消關聯合併請求';
$lang->mr->devopsEvents['taskunlinked']->link  = helper::createLink('mr', 'view', 'mrID=%s');
$lang->mr->devopsEvents['taskunlinked']->color = 'special';

$lang->mr->apiErrorMap[] = "Can't submit review to own pull requests.";
$lang->mr->apiErrorMap[] = 'Forbidden';
$lang->mr->apiErrorMap[] = "sudo user '0' is not found";
$lang->mr->apiErrorMap[] = '/sudo user .+ is not found/';

global $app;
if(empty($app->rawModule) || empty($lang->{$app->rawModule}->common)) $app->rawModule = 'mr';
$moduleName = $lang->{$app->rawModule}->common;
$lang->mr->errorLang[] = "不能評審自己的{$moduleName}";
$lang->mr->errorLang[] = "綁定的用戶沒有權限評審此{$moduleName}";
$lang->mr->errorLang[] = "請綁定GitFox用戶後再評審";
$lang->mr->errorLang[] = "綁定的用戶不正確";
